package com.css.simulation.resource.scene.mapper;

import api.common.pojo.param.scene.ScenePackageParam;
import api.common.pojo.po.scene.ScenePackagePO;
import api.common.pojo.vo.scene.ScenePackageNewVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;
import org.springframework.stereotype.Repository;

import java.util.List;


@Mapper
@Repository
public interface ScenePackageMapper {

    void saveScenePackage(ScenePackagePO params);

    void updateScenePackage(ScenePackagePO params);

    void deleteScenePackage(ScenePackagePO params);

    //查询详情
    ScenePackagePO queryScenePackage(ScenePackageParam params);

    List<ScenePackagePO> queryScenePackageList(ScenePackageParam params);

    //单独给查询一个测试包的列表用
    ScenePackageNewVO queryScenePackageBySublist(String packageId);

    //测试包名查唯一
    ScenePackageNewVO queryByPackageName(ScenePackagePO params);

    ScenePackageNewVO querySelfOnly(@Param("packageName") String packageName, @Param("createUserId") String createUserId);

    //测试包数量
    Integer queryPackageCount(ScenePackagePO params);

    @Select("select share\n" +
            "from scene_package\n" +
            "where is_deleted = '0'\n" +
            " and package_id = #{packageId}")
    String selectShareById(@Param("packageId")String packageId);

    //改变状态是否禁用
    void updateIsUnavailable(ScenePackagePO params);
}
